unit CMQPSPas;

// **************************************************************************
// **************************************************************************
// **************************************************************************
// MQSeries IBM library ported for Delphi by Dinko Miljak
// e-mail: dinmil@flashmail.com
// version 0.0.4 2001-05-07
// **************************************************************************
// **************************************************************************
// **************************************************************************

 (*********************************************************************)
 (*                                                                   *)
 (*                  IBM MQSeries for Windows NT  and Windows 2000    *)
 (*                                                                   *)
 (*  HEADER NAME:    CMQPSC                                           *)
 (*                                                                   *)
 (*  DESCRIPTION:    Declarations for Publish/Subscribe               *)
 (*                                                                   *)
 (*********************************************************************)
 (*  @START_COPYRIGHT@                                                *)
 (*  Licensed Materials - Property of IBM                             *)
 (*                                                                   *)
 (*  0784726, 5639-B43                                                *)
 (*                                                                   *)
 (*  (C) Copyright IBM Corporation 1998, 2000.                        *)
 (*                                                                   *)
 (*  Status: Version 5 Release 2                                      *)
 (*  @END_COPYRIGHT@                                                  *)
 (*********************************************************************)
 (*                                                                   *)
 (*  FUNCTION:       This file declares the named constants for       *)
 (*                  publish/subscribe.                               *)
 (*                                                                   *)
 (*  PROCESSOR:      C                                                *)
 (*                                                                   *)
 (*********************************************************************)

interface

uses SysUtils;

const

 (*********************************************************************)
 (*  Publish/Subscribe Tags                                           *)
 (*********************************************************************)

 (* Tags as strings *)
  MQPS_COMMAND              = 'MQPSCommand';
  MQPS_COMP_CODE            = 'MQPSCompCode';
  MQPS_DELETE_OPTIONS       = 'MQPSDelOpts';
  MQPS_ERROR_ID             = 'MQPSErrorId';
  MQPS_ERROR_POS            = 'MQPSErrorPos';
  MQPS_INTEGER_DATA         = 'MQPSIntData';
  MQPS_PARAMETER_ID         = 'MQPSParmId';
  MQPS_PUBLICATION_OPTIONS  = 'MQPSPubOpts';
  MQPS_PUBLISH_TIMESTAMP    = 'MQPSPubTime';
  MQPS_Q_MGR_NAME           = 'MQPSQMgrName';
  MQPS_Q_NAME               = 'MQPSQName';
  MQPS_REASON               = 'MQPSReason';
  MQPS_REASON_TEXT          = 'MQPSReasonText';
  MQPS_REGISTRATION_OPTIONS = 'MQPSRegOpts';
  MQPS_SEQUENCE_NUMBER      = 'MQPSSeqNum';
  MQPS_STREAM_NAME          = 'MQPSStreamName';
  MQPS_STRING_DATA          = 'MQPSStringData';
  MQPS_TOPIC                = 'MQPSTopic';
  MQPS_USER_ID              = 'MQPSUserId';

 (* Tags as blank-enclosed strings *)
  MQPS_COMMAND_B              = ' MQPSCommand ';
  MQPS_COMP_CODE_B            = ' MQPSCompCode ';
  MQPS_DELETE_OPTIONS_B       = ' MQPSDelOpts ';
  MQPS_ERROR_ID_B             = ' MQPSErrorId ';
  MQPS_ERROR_POS_B            = ' MQPSErrorPos ';
  MQPS_INTEGER_DATA_B         = ' MQPSIntData ';
  MQPS_PARAMETER_ID_B         = ' MQPSParmId ';
  MQPS_PUBLICATION_OPTIONS_B  = ' MQPSPubOpts ';
  MQPS_PUBLISH_TIMESTAMP_B    = ' MQPSPubTime ';
  MQPS_Q_MGR_NAME_B           = ' MQPSQMgrName ';
  MQPS_Q_NAME_B               = ' MQPSQName ';
  MQPS_REASON_B               = ' MQPSReason ';
  MQPS_REASON_TEXT_B          = ' MQPSReasonText ';
  MQPS_REGISTRATION_OPTIONS_B = ' MQPSRegOpts ';
  MQPS_SEQUENCE_NUMBER_B      = ' MQPSSeqNum ';
  MQPS_STREAM_NAME_B          = ' MQPSStreamName ';
  MQPS_STRING_DATA_B          = ' MQPSStringData ';
  MQPS_TOPIC_B                = ' MQPSTopic ';
  MQPS_USER_ID_B              = ' MQPSUserId ';

 (* Tags as blank-enclosed arrays *)
  MQPS_COMMAND_A              : array[0..12] of char =
    (' ','M','Q','P','S','C','o','m','m','a','n','d',' ');
  MQPS_COMP_CODE_A            : array[0..13] of char =
    (' ','M','Q','P','S','C','o','m','p','C','o','d','e',' ');
  MQPS_DELETE_OPTIONS_A       : array[0..12] of char =
    (' ','M','Q','P','S','D','e','l','O','p','t','s',' ');
  MQPS_ERROR_ID_A             : array[0..12] of char =
    (' ','M','Q','P','S','E','r','r','o','r','I','d',' ');
  MQPS_ERROR_POS_A            : array[0..13] of char =
    (' ','M','Q','P','S','E','r','r','o','r','P','o','s',' ');
  MQPS_INTEGER_DATA_A         : array[0..12] of char =
    (' ','M','Q','P','S','I','n','t','D','a','t','a',' ');
  MQPS_PARAMETER_ID_A         : array[0..11] of char =
    (' ','M','Q','P','S','P','a','r','m','I','d',' ');
  MQPS_PUBLICATION_OPTIONS_A  : array[0..12] of char =
    (' ','M','Q','P','S','P','u','b','O','p','t','s',' ');
  MQPS_PUBLISH_TIMESTAMP_A    : array[0..12] of char =
    (' ','M','Q','P','S','P','u','b','T','i','m','e',' ');
  MQPS_Q_MGR_NAME_A           : array[0..13] of char =
    (' ','M','Q','P','S','Q','M','g','r','N','a','m','e',' ');
  MQPS_Q_NAME_A               : array[0..10] of char =
    (' ','M','Q','P','S','Q','N','a','m','e',' ');
  MQPS_REASON_A               : array[0..11] of char =
    (' ','M','Q','P','S','R','e','a','s','o','n',' ');
  MQPS_REASON_TEXT_A          : array[0..15] of char =
    (' ','M','Q','P','S','R','e','a','s','o','n','T','e','x','t',' ');
  MQPS_REGISTRATION_OPTIONS_A : array[0..12] of char =
    (' ','M','Q','P','S','R','e','g','O','p','t','s',' ');
  MQPS_SEQUENCE_NUMBER_A      : array[0..11] of char =
    (' ','M','Q','P','S','S','e','q','N','u','m',' ');
  MQPS_STREAM_NAME_A          : array[0..15] of char =
    (' ','M','Q','P','S','S','t','r','e','a','m','N','a','m','e',' ');
  MQPS_STRING_DATA_A          : array[0..15] of char =
    (' ','M','Q','P','S','S','t','r','i','n','g','D','a','t','a',' ');
  MQPS_TOPIC_A                : array[0..10] of char =
    (' ','M','Q','P','S','T','o','p','i','c',' ');
  MQPS_USER_ID_A              : array[0..11] of char =
    (' ','M','Q','P','S','U','s','e','r','I','d',' ');


 (*********************************************************************)
 (*  Values for MQPS_COMMAND Tag                                      *)
 (*********************************************************************)

 (* Values as strings *)
  MQPS_DELETE_PUBLICATION    = 'DeletePub';
  MQPS_DEREGISTER_PUBLISHER  = 'DeregPub';
  MQPS_DEREGISTER_SUBSCRIBER = 'DeregSub';
  MQPS_PUBLISH               = 'Publish';
  MQPS_REGISTER_PUBLISHER    = 'RegPub';
  MQPS_REGISTER_SUBSCRIBER   = 'RegSub';
  MQPS_REQUEST_UPDATE        = 'ReqUpdate';

 (* Values as blank-enclosed strings *)
  MQPS_DELETE_PUBLICATION_B    = ' DeletePub ';
  MQPS_DEREGISTER_PUBLISHER_B  = ' DeregPub ';
  MQPS_DEREGISTER_SUBSCRIBER_B = ' DeregSub ';
  MQPS_PUBLISH_B               = ' Publish ';
  MQPS_REGISTER_PUBLISHER_B    = ' RegPub ';
  MQPS_REGISTER_SUBSCRIBER_B   = ' RegSub ';
  MQPS_REQUEST_UPDATE_B        = ' ReqUpdate ';

 (* Values as blank-enclosed arrays *)
  MQPS_DELETE_PUBLICATION_A: array[0..10] of char =
    (' ','D','e','l','e','t','e','P','u','b',' ');
  MQPS_DEREGISTER_PUBLISHER_A: array[0..9] of char =
    (' ','D','e','r','e','g','P','u','b',' ');
  MQPS_DEREGISTER_SUBSCRIBER_A: array[0..9] of char =
    (' ','D','e','r','e','g','S','u','b',' ');
  MQPS_PUBLISH_A: array[0..8] of char =
    (' ','P','u','b','l','i','s','h',' ');
  MQPS_REGISTER_PUBLISHER_A: array[0..7] of char =
    (' ','R','e','g','P','u','b',' ');
  MQPS_REGISTER_SUBSCRIBER_A: array[0..7] of char =
    (' ','R','e','g','S','u','b',' ');
  MQPS_REQUEST_UPDATE_A: array[0..10] of char =
    (' ','R','e','q','U','p','d','a','t','e',' ');


 (*********************************************************************)
 (*  Values for following tags:                                       *)
 (*    MQPS_DELETE_OPTIONS                                            *)
 (*    MQPS_PUBLICATION_OPTIONS                                       *)
 (*    MQPS_REGISTRATION_OPTIONS                                      *)
 (*********************************************************************)

 (* Values as strings *)
  MQPS_ANONYMOUS               = 'Anon';
  MQPS_CORREL_ID_AS_IDENTITY   = 'CorrelAsId';
  MQPS_DEREGISTER_ALL          = 'DeregAll';
  MQPS_DIRECT_REQUESTS         = 'DirectReq';
  MQPS_INCLUDE_STREAM_NAME     = 'InclStreamName';
  MQPS_INFORM_IF_RETAINED      = 'InformIfRet';
  MQPS_IS_RETAINED_PUBLICATION = 'IsRetainedPub';
  MQPS_LOCAL                   = 'Local';
  MQPS_NEW_PUBLICATIONS_ONLY   = 'NewPubsOnly';
  MQPS_NO_REGISTRATION         = 'NoReg';
  MQPS_NONE                    = 'None';
  MQPS_OTHER_SUBSCRIBERS_ONLY  = 'OtherSubsOnly';
  MQPS_PUBLISH_ON_REQUEST_ONLY = 'PubOnReqOnly';
  MQPS_RETAIN_PUBLICATION      = 'RetainPub';

 (* Values as blank-enclosed strings *)
  MQPS_ANONYMOUS_B               = ' Anon ';
  MQPS_CORREL_ID_AS_IDENTITY_B   = ' CorrelAsId ';
  MQPS_DEREGISTER_ALL_B          = ' DeregAll ';
  MQPS_DIRECT_REQUESTS_B         = ' DirectReq ';
  MQPS_INCLUDE_STREAM_NAME_B     = ' InclStreamName ';
  MQPS_INFORM_IF_RETAINED_B      = ' InformIfRet ';
  MQPS_IS_RETAINED_PUBLICATION_B = ' IsRetainedPub ';
  MQPS_LOCAL_B                   = ' Local ';
  MQPS_NEW_PUBLICATIONS_ONLY_B   = ' NewPubsOnly ';
  MQPS_NO_REGISTRATION_B         = ' NoReg ';
  MQPS_NONE_B                    = ' None ';
  MQPS_OTHER_SUBSCRIBERS_ONLY_B  = ' OtherSubsOnly ';
  MQPS_PUBLISH_ON_REQUEST_ONLY_B = ' PubOnReqOnly ';
  MQPS_RETAIN_PUBLICATION_B      = ' RetainPub ';

 (* Values as blank-enclosed arrays *)
  MQPS_ANONYMOUS_A               : array[0..5] of char =
    (' ','A','n','o','n',' ');
  MQPS_CORREL_ID_AS_IDENTITY_A   : array[0..11] of char =
    (' ','C','o','r','r','e','l','A','s','I','d',' ');
  MQPS_DEREGISTER_ALL_A          : array[0..9] of char =
    (' ','D','e','r','e','g','A','l','l',' ');
  MQPS_DIRECT_REQUESTS_A         : array[0..10] of char =
    (' ','D','i','r','e','c','t','R','e','q',' ');
  MQPS_INCLUDE_STREAM_NAME_A     : array[0..15] of char =
    (' ','I','n','c','l','S','t','r','e','a','m','N','a','m','e',' ');
  MQPS_INFORM_IF_RETAINED_A      : array[0..12] of char =
    (' ','I','n','f','o','r','m','I','f','R','e','t',' ');
  MQPS_IS_RETAINED_PUBLICATION_A : array[0..14] of char =
    (' ','I','s','R','e','t','a','i','n','e','d','P','u','b',' ');
  MQPS_LOCAL_A                   : array[0..6] of char =
    (' ','L','o','c','a','l',' ');
  MQPS_NEW_PUBLICATIONS_ONLY_A   : array[0..12] of char =
    (' ','N','e','w','P','u','b','s','O','n','l','y',' ');
  MQPS_NO_REGISTRATION_A         : array[0..6] of char =
    (' ','N','o','R','e','g',' ');
  MQPS_NONE_A                    : array[0..5] of char =
    (' ','N','o','n','e',' ');
  MQPS_OTHER_SUBSCRIBERS_ONLY_A  : array[0..14] of char =
    (' ','O','t','h','e','r','S','u','b','s','O','n','l','y',' ');
  MQPS_PUBLISH_ON_REQUEST_ONLY_A : array[0..13] of char =
    (' ','P','u','b','O','n','R','e','q','O','n','l','y',' ');
  MQPS_RETAIN_PUBLICATION_A      : array[0..10] of char =
    (' ','R','e','t','a','i','n','P','u','b',' ');


implementation

end.
